import 'dart:io';

import 'package:lib_common_fx/lib_common_fx.dart';

abstract class NetConfigInterface {
  int get connectTimeOut => 10000;
  int get readTimeOut => 10000;
  int get writeTimeOut => 10000;

  bool get logEnable => true;
  int get successCode => 0; //请求成功

  String getHost();
  int getResponseCode(Map<String, dynamic> map);
  T? getResponseData<T>(Map<String, dynamic> map);
  String getResponseMsg(Map<String, dynamic> map);
  ListResponse<dynamic> coverListResponse(Map<String, dynamic> map);
  List<M> coverList<M>(List<dynamic> list);

  Map<String, String> defaultHeader() {
    return {HttpHeaders.connectionHeader: "application/json"};
  }

  ///eg.
  ///if (error is NetError) {
  /// showToast(error.msg);
  ///}
  void onError(dynamic error) {}
}
