import 'dart:io';

import 'package:flutter/cupertino.dart';
import 'package:flutter/services.dart';

class FxPlatformView extends StatefulWidget {

  FxPlatformView({Key? key, required this.viewType, this.onReceivedCall, this.onChannelCreate}): super(key: key);
  String viewType;
  Function(MethodCall call)? onReceivedCall;
  Function(MethodChannel call)? onChannelCreate;

  @override
  State<StatefulWidget> createState() {
    return FxPlatformViewState();
  }
}

class FxPlatformViewState extends State<FxPlatformView> {
  MethodChannel? _channel;

  @override
  Widget build(BuildContext context) {
    if(Platform.isAndroid){
      return AndroidView(
        onPlatformViewCreated: _onPlatformViewCreated,
        viewType: widget.viewType,
      );
    }else{
      return UiKitView (
        onPlatformViewCreated: _onPlatformViewCreated,
        viewType: widget.viewType,
      );
    }

  }
  void _onPlatformViewCreated(int id) {
    _channel = MethodChannel("channel_name_${widget.viewType}_${id}");
    _channel?.setMethodCallHandler((call) async {
      widget.onReceivedCall?.call(call);
    });
    widget.onChannelCreate?.call(_channel!);
  }
}
