import 'package:flutter/material.dart';
import 'package:lib_common_fx/utils/fx_colors.dart';
import 'package:photo_view/photo_view.dart';

class PhotoViewDialog extends StatefulWidget {
  const PhotoViewDialog({Key? key, required this.imgUrl}) : super(key: key);
  final String imgUrl;

  @override
  _PhotoViewDialogState createState() => _PhotoViewDialogState();
}

class _PhotoViewDialogState extends State<PhotoViewDialog> {
  @override
  Widget build(BuildContext context) {
    return Dialog(
      insetPadding: const EdgeInsets.all(0),
      child: Container(
        color: FXColor.main_orange,
        child: GestureDetector(
            onTap: () {
              setState(() {
                Navigator.maybePop(context);
              });
            },
            child: PhotoView(
              imageProvider: NetworkImage(widget.imgUrl),
            )),
      ),
    );
  }
}
