import 'dart:io';

import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:image_picker/image_picker.dart';

import 'package:lib_common_fx/lib_common_fx.dart';

class ImagePickerWidget extends StatefulWidget {
  const ImagePickerWidget({Key? key, this.child}) : super(key: key);

  final Widget? child;

  @override
  State<StatefulWidget> createState() {
    return _ImagePickerState();
  }
}

class _ImagePickerState extends State<ImagePickerWidget> {
  var imagePicker = ImagePicker();
  var _imgPath;

  var hasForcus = false;

  var alpha = 0.5;

  @override
  Widget build(BuildContext context) {
   return Dialog(
     alignment: Alignment.bottomCenter,
     backgroundColor: FXColor.main_blue.withOpacity(0),
     insetPadding: const EdgeInsets.only(left: 0, right: 0,),
     child: Column(
       mainAxisSize: MainAxisSize.min,
        children: [
          EditCommonUi.buildCardLayout([
            _buildItem(CenterText('选择照片',style: CenterText.content.apply(color: FXColor.main_black2),)),
            EditCommonUi.buildDividerItem(isMargin: false),
            GestureDetector(
              onTap: (){
                _takePhoto();
              },
              child: _buildItem( CenterText('拍照',style: CenterText.content.apply(color: FXColor.main_blue),)),
            ),
            EditCommonUi.buildDividerItem(isMargin: false),
            GestureDetector(
              onTap: (){
                _openGallery();
              },
              child:  _buildItem(CenterText('从手机相册选择',style: CenterText.content.apply(color: FXColor.main_blue),)),
            )
          ],hasHorizontalPadding: false,),
          SizedBox(height: 10,),
          EditCommonUi.buildCardLayout([
            GestureDetector(
              onTap: (){
                Navigator.pop(context);
              },
              child: _buildItem(CenterText('取消',style: CenterText.content.apply(color: FXColor.main_blue,fontWeightDelta: 2,fontSizeDelta: 2),)),
            ),
          ],hasHorizontalPadding: false,),
        ],
     ),
   );
  }
  Widget _buildItem(Widget e) {
    return  SizedBox(child: Center(child: e,),height: 60,);
  }
  /*图片控件*/
  Widget _ImageView(imgPath) {
    if (imgPath == null) {
      return Container();
    } else {
      return Image.file(File(
        imgPath.path,
      ));
    }
  }

  /*拍照*/
  _takePhoto() async {
    var image = await imagePicker.pickImage(source: ImageSource.camera);
    Navigator.pop(context,image);
    debugPrint(image.toString());
    // setState(() {
    //   _imgPath = image;
    // });
  }

  /*相册*/
  _openGallery() async {
    var image = await imagePicker.pickImage(source: ImageSource.gallery);
    Navigator.pop(context,image);
    debugPrint(image.toString());
    // setState(() {
    //   _imgPath = image;
    // });
  }
}
