import 'package:flutter/material.dart';
import 'package:lib_common_fx/lib_common_fx.dart';
import 'package:lib_common_fx/utils/image_utils.dart';

import 'fx_colors.dart';
import 'fx_text.dart';

class CenterPageHint extends StatelessWidget {
  final String imgName;
  final String textHint;
  const CenterPageHint({Key? key, required this.imgName, required this.textHint}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Center(
      child: Column(
        mainAxisAlignment: MainAxisAlignment.center,
        crossAxisAlignment: CrossAxisAlignment.center,
        children: [
          ImageUtil.assetImage(imgName, width: 215, height: 134),
          const SizedBox(height: 12),
          CenterText(textHint, style: CenterText.content.apply(color: FXColor.main_black2,fontSizeDelta: -2))
        ],
      ),
    );
  }
}
