import 'package:intl/intl.dart';

class DateTimeUtil {
  DateTimeUtil._();
  static String? coverDateTimeFromTo(
      String fromFormatStr, String toFormatStr, String? dateTimeStr) {
    if (dateTimeStr == null) return null;
    DateTime.parse(dateTimeStr);

    DateTime dateTime = DateFormat(fromFormatStr).parse(dateTimeStr);
    return DateFormat(toFormatStr).format(dateTime);
  }

  static String? coverDateTimeWithFormat(String formatStr, DateTime? dateTime) {
    if (dateTime == null) return null;
    return DateFormat(formatStr).format(dateTime);
  }

  static int compareDateStringTimeToNow(String formatStr, String dateTimeStr) {
    DateTime dateTime = DateFormat(formatStr).parse(dateTimeStr);
    return compareDateTimeToNow(dateTime);
  }

  static int compareDateTimeToNow(DateTime dateTime) {
    DateTime now = DateTime.now();
    int result = dateTime.compareTo(DateTime.now());
    if (result == -1) {
      if (dateTime.year == now.year &&
          dateTime.month == now.month &&
          dateTime.day == now.day) {
        return 0;
      }
      return -1;
    }
    return result;
  }
}
