import 'package:flutter/cupertino.dart';
import 'package:lib_common_fx/lib_common_fx.dart';
import 'package:lib_common_fx/utils/image_utils.dart';


class NoDataWidget extends StatefulWidget{
  final String imageStr;
  final String contentStr;
  final bool isLocal;//true使用lib里的图片，false使用项目里的图片


  const NoDataWidget({Key? key, this.imageStr="images/icon_net_error.png", this.contentStr="网络错误", this.isLocal = true}) : super(key: key);
  @override
  NoDataWidgetState createState() => NoDataWidgetState();

}
class NoDataWidgetState extends State<NoDataWidget>{
  @override
  Widget build(BuildContext context) {
    return Center(
        child: Column(
          children: [
            const SizedBox(height: 100),
            ImageUtil.assetImage(
              widget.imageStr,
              width: 215,
              height: 134,
              isLocal: widget.isLocal
            ),
            const SizedBox(height: 12),
            CenterText(widget.contentStr, style: CenterText.content.apply(color: FXColor.main_black2, fontSizeDelta: -2)),
          ],
        ));
  }

}