import 'package:flutter/foundation.dart';

///Author: wangys
///Date: 2022-10-12 08:52:19
///Description: 使用时尽量注明tag

class Log {
  static const String _tag = 'FxApp=>';
  static const bool _debugMode = kDebugMode; //是否是debug模式,true: log v 不输出.
  static const int _maxLen = 500;

  static void d({String? tag, required dynamic msg}) {
    if (_debugMode) {
      //log('$_tag$tag d | ${msg?.toString()}');
      _printLog('$_tag$tag', ' d |', msg);
    }
  }

  static void e({String? tag, required dynamic msg}) {
    if (_debugMode) {
      _printLog('$_tag$tag', ' e |', msg);
    }
  }

  static void v({String? tag, required dynamic msg}) {
    if (_debugMode) {
      _printLog('$_tag$tag', ' v |', msg);
    }
  }

  static void _printLog(String tag, String stag, dynamic msg) {
    String message = msg.toString();
    //不需要分段
    if (message.length <= _maxLen) {
      _printMsg('$tag$stag $message');
      return;
    }
    //分段打印
    int offset = 0;
    _printMsg('$tag$stag — — — — — — — start — — — — — — — ');
    while (offset + _maxLen < message.length) {
      _printMsg('$tag$stag ${message.substring(offset, offset + _maxLen)}');
      offset += _maxLen;
    }
    if (offset < message.length) {
      _printMsg('$tag$stag ${message.substring(offset, message.length)}');
    }
    _printMsg('$tag$stag — — — — — — — end — — — — — — — ');
  }

  static void _printMsg(String message) {
    // ignore: avoid_print
    print(message);
  }
}
