import 'package:flutter/cupertino.dart';

class MyNavigatorObserver extends NavigatorObserver {
  static var routeStack = <Route<dynamic>>[];
  @override
  void didPush(Route<dynamic> route, Route<dynamic>? previousRoute) {
    routeStack.add(route);
  }
  @override
  void didPop(Route<dynamic> route, Route<dynamic>? previousRoute) {
    routeStack.removeLast();
  }
  @override
  void didRemove(Route<dynamic> route, Route<dynamic>? previousRoute) {
    routeStack.removeLast();
  }
  @override
  void didReplace({ Route<dynamic>? newRoute, Route<dynamic>? oldRoute }) {
    routeStack.removeLast();
    if (newRoute != null) {
      routeStack.add(newRoute);
    }

  }
}