import 'package:decimal/decimal.dart';

///克转吨
/// def:输入为空时的默认值
/// fixZero:小数是否去掉末尾0，
/// decimalLength:小数位数
/// formatgToT(0) = 0.00
/// formatgToT(0,fixZero:true) = 0
String? formatgToT(
  int? g, {
  String? def,
  bool fixZero = false,
  int decimalLength = 2,
}) {
  return formatInt(g,
      def: def,
      scale: 1000 * 1000,
      fixZero: fixZero,
      decimalLength: decimalLength);
}

String? formatInt(
  int? number, {
  String? def,
  int scale = 1,
  bool fixZero = false,
  int decimalLength = 2,
}) {
  if (number == null) return def;
  var temp = (Decimal.fromInt(number) / Decimal.fromInt(scale))
      .toStringAsFixed(decimalLength);

  if (fixZero) {
    while (temp.contains('.') && (temp.endsWith('0') || temp.endsWith('.'))) {
      temp = temp.substring(0, temp.length - 1);
    }
  }
  return temp;
}

//将吨转成克
int? parseTTog(String? input, {int? def}) {
  if (input == null) return def;
  try {
    return (Decimal.parse(input) * Decimal.fromInt(1000 * 1000)).toInt();
  } catch (e) {
    return def;
  }
}
